caption: Configuration policy for the OnPrint <ph name="PRODUCT_NAME">$1<ex>Google
  Chrome</ex></ph> Enterprise Connector
desc: |-
  List of <ph name="PRODUCT_NAME">$1<ex>Google Chrome</ex></ph> Enterprise Connectors services settings to be applied to the <ph name="ON_PRINT_ENTERPRISE_CONNECTOR">OnPrint</ph> Enterprise Connector, which triggers when a page or file is printed from <ph name="PRODUCT_NAME">$1<ex>Google Chrome</ex></ph>.

        The <ph name="ENTERPRISE_CONNECTOR_URL_LIST_FIELD">url_list</ph>, <ph name="ENTERPRISE_CONNECTOR_TAGS_FIELD">tags</ph>, <ph name="ENTERPRISE_CONNECTOR_ENABLE_FIELD">enable</ph> and <ph name="ENTERPRISE_CONNECTOR_DISABLE_FIELD">disable</ph> fields are used to determine if the connector should send data for analysis when printing is triggered on a specific page and what tags to include in the analysis request. The analysis occurs if at least 1 tag is to be included in the request.

        The <ph name="ENTERPRISE_CONNECTOR_SERVICE_PROVIDER_FIELD">service_provider</ph> field identifies which analysis service provider the settings correspond to.

        The <ph name="ENTERPRISE_CONNECTOR_BLOCK_UNTIL_VERDICT_FIELD">block_until_verdict</ph> field being set to 1 means <ph name="PRODUCT_NAME">$1<ex>Google Chrome</ex></ph> will wait to get a response from the analysis service before allowing the print preview dialog to be shown for the printed page. Any other integer value means <ph name="PRODUCT_NAME">$1<ex>Google Chrome</ex></ph> shows the print preview dialog immediately.

        The <ph name="ENTERPRISE_CONNECTOR_BLOCK_LARGE_FILES_FIELD">block_large_files</ph> fields controls whether <ph name="PRODUCT_NAME">$1<ex>Google Chrome</ex></ph> blocks or allows files/pages that are too large to be analyzed.

        The <ph name="ENTERPRISE_CONNECTOR_REQUIRE_JUSTIFICATION_TAGS_FIELD">require_justification_tags</ph> field is used to determine for which tags the connector should require the user to enter a justification to bypass a scan that results in a bypassable warning. If the field is not set, it's assumed that a justification is not required.

        The <ph name="ENTERPRISE_CONNECTOR_CUSTOM_MESSAGES_FIELD">custom_messages</ph>, <ph name="ENTERPRISE_CONNECTOR_MESSAGE_FIELD">message</ph>, <ph name="ENTERPRISE_CONNECTOR_LEARN_MORE_URL_FIELD">learn_more_url</ph>, <ph name="ENTERPRISE_CONNECTOR_LANGUAGE_FIELD">language</ph> and <ph name="ENTERPRISE_CONNECTOR_TAG_FIELD">tag</ph> fields are used to configure a message to show the user when a warning is shown after a scan had a non-clean verdict. The administrator is able to configure messages of up to 200 characters.

        This policy requires additional setup to take effect, please visit https://support.google.com/chrome/a?p=chrome_enterprise_connector_policies_setting for more information.
example_value:
- block_large_files: true
  block_until_verdict: 0
  custom_messages:
  - language: default
    learn_more_url: moreinfo.example.com
    message: Custom message for potential sensitive data leaks.
    tag: dlp
  - language: fr-CA
    learn_more_url: moreinfo.example.com/fr
    message: Message pour une fuite de données potentielle.
    tag: dlp
  disable:
  - tags:
    - dlp
    url_list:
    - '*.us.com'
  enable:
  - tags:
    - dlp
    url_list:
    - '*.them.com'
    - '*.others.com'
  require_justification_tags:
  - dlp
  service_provider: google
  verification:
    linux:
    - key
    mac:
    - key
    windows:
    - key
features:
  cloud_only: true
  dynamic_refresh: true
  per_profile: true
future_on:
- fuchsia
owners:
- file://chrome/browser/enterprise/connectors/OWNERS
- domfc@chromium.org
schema:
  items:
    properties:
      block_large_files:
        type: boolean
      block_until_verdict:
        enum:
        - 0
        - 1
        type: integer
      custom_messages:
        items:
          properties:
            language:
              type: string
            learn_more_url:
              type: string
            message:
              type: string
            tag:
              type: string
          type: object
        type: array
      disable:
        items:
          properties:
            tags:
              items:
                type: string
              type: array
            url_list:
              items:
                type: string
              type: array
          type: object
        type: array
      enable:
        items:
          properties:
            tags:
              items:
                type: string
              type: array
            url_list:
              items:
                type: string
              type: array
          type: object
        type: array
      require_justification_tags:
        items:
          type: string
        type: array
      service_provider:
        enum:
        - google
        - local_user_agent
        - local_system_agent
        - brcm_chrm_cas
        - trellix
        type: string
      verification:
        properties:
          linux:
            items:
              type: string
            type: array
          mac:
            items:
              type: string
            type: array
          windows:
            items:
              type: string
            type: array
        type: object
    type: object
  type: array
supported_on:
- chrome.*:106-
- chrome_os:106-
tags: []
type: dict
